## jpegenc jpegenc |

## Properties

gint | quality | Read / Write
GstIDCTMethod | idct-method | Read / Write

## Types and Values

struct | GstJpegEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstJpegEnc

## Implemented Interfaces

GstJpegEnc implements GstPreset.

## Description

Encodes jpeg images.

### Example launch line

    1
    gst-launch-1.0 videotestsrc num-buffers=50 ! video/x-raw, framerate='(fraction)'5/1 ! jpegenc ! avimux ! filesink location=mjpeg.avi

a pipeline to mux 5 JPEG frames per second into a 10 sec. long motion jpeg avi.

## Synopsis

### Element Information

plugin | jpeg
author | Wim Taymans <wim.taymans@tvd.be>
class | Codec/Encoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12, YUY2, UYVY, Y41B, Y42B, YVYU, Y444, NV21, NV12, RGB, BGR, RGBx, xRGB, BGRx, xBGR, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/jpeg, width=(int)[ 16, 65535 ], height=(int)[ 16, 65535 ], framerate=(fraction)[ 0/1, 2147483647/1 ], sof-marker=(int){ 0, 1, 2, 9 }

## Functions

## Types and Values

### struct GstJpegEnc

    struct GstJpegEnc;

## Property Details

### The `“quality”` property

      “quality”                  gint

Quality of encoding.

Flags: Read / Write

Allowed values: [0,100]

Default value: 85

### The `“idct-method”` property

      “idct-method”              GstIDCTMethod

The IDCT algorithm to use.

Flags: Read / Write

Default value: Faster, less accurate integer method